Skip to main content
POST
https://api.lite.sa/v1
/
threeds
/
authentications
/
{authentication_id}
/
confirm
Confirm 3DS challenge completion
curl --request POST \
  --url https://api.lite.sa/v1/threeds/authentications/{authentication_id}/confirm \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.lite.sa/v1/threeds/authentications/{authentication_id}/confirm"

headers = {"x-api-key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.lite.sa/v1/threeds/authentications/{authentication_id}/confirm', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.lite.sa/v1/threeds/authentications/{authentication_id}/confirm', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.lite.sa/v1/threeds/authentications/{authentication_id}/confirm"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-api-key", "<api-key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lite.sa/v1/threeds/authentications/{authentication_id}/confirm",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_HTTPHEADER => [
    "x-api-key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "status": "confirmed",
  "authentication_id": "550e8400-e29b-41d4-a716-446655440000"
}
{
  "message": "3DS authentication is not in CHALLENGE_REQUIRED status. Current status: AUTHENTICATED"
}
{
  "error": {
    "code": "PAYMENT_DETAILS_MISMATCH",
    "message": "The request was invalid or malformed",
    "timestamp": "2024-12-16T10:30:00.000Z",
    "details": {},
    "correlationId": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Authorizations

x-api-key
string
header
required

API key for service-to-service or merchant authentication.

Headers

x-correlation-id
string<uuid>

Unique identifier for request tracing. Generated by the client or server if not provided.

Example:

"550e8400-e29b-41d4-a716-446655440000"

Path Parameters

authentication_id
string<uuid>
required

Unique identifier of the authentication session

Example:

"9822ffb8-26de-423b-ad15-0d129cf1b4ac"

Response

3DS challenge confirmed.

status
string
required

Authentication confirmation status

Example:

"confirmed"

authentication_id
string<uuid>

Unique authentication identifier

Example:

"550e8400-e29b-41d4-a716-446655440000"